Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227284 - DistRegex option in config file doesn't match el as dist tag
Summary: DistRegex option in config file doesn't match el as dist tag
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rpmlint
Version: el4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thorsten Leemhuis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-04 19:03 UTC by Reza Mohammadi
Modified: 2007-04-18 17:59 UTC (History)
2 users (show)

Fixed In Version: rpmlint-0-79-1-el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-04 08:33:09 UTC


Attachments (Terms of Use)

Description Reza Mohammadi 2007-02-04 19:03:26 UTC
Description of problem:
not suitable DistRegex setted in /usr/share/rpmlint/config

Version-Release number of selected component (if applicable):
rpmlint-0.78-2.el5

line 8 of /usr/share/rpmlint/config :
setOption("DistRegex", '\.(fc|rhe?l)\d+(?=\.|$)'

This regex doesn't match el as dist tag.

Comment 1 Tim Powers 2007-02-12 14:23:44 UTC
rpmlint isn't included in the RHEL 5 beta. Please file a bug report with the distribution or upstream that 
you downloaded the package from so that they can the correct dist tag.

I'm changing the resoluton of this to CANTFIX because we don't ship that package.

Comment 2 Roozbeh Pournader 2007-02-12 16:02:16 UTC
Re-opening bug. This should have been filed against Fedora Extras, not RHEL. See
also: http://fedoraproject.org/wiki/Packaging/DistTag

Comment 3 Ville Skyttä 2007-02-12 16:25:13 UTC
Coincidentally (I didn't see this bug before now), this should have been fixed
in 0.79-1.fc*, shipped 1½ weeks ago in the Fedora Extras package.

But this is about the EPEL version (not Fedora Extras) so getting the fix to the
EPEL repo is a for whoever maintains rpmlint in EPEL to decide.  Reassigning to
Dennis who apparently created the rpmlint EL-5 branch.

Dennis, FYI: Bugzilla doesn't have a el5 version for EPEL at all, and rpmlint is
missing from the el4 version too.  Please add rpmlint to owners.epel.list.

Comment 4 Ville Skyttä 2007-02-25 16:41:46 UTC
Reassigning to current EPEL rpmlint maintainer.

Comment 5 Thorsten Leemhuis 2007-03-04 08:33:09 UTC
build rpmlint-0_79-1_el4 for EL4


Note You need to log in before you can comment on or make changes to this bug.